<?php

/**
 * verein.cloud Web VV API
 *
 * Contact: mheumann@comciencia.cl
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
namespace App\Http\Controllers;

use App\Services\VVInterface;
use Illuminate\Support\Facades\Request;

class BaseApi extends Controller
{
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Operation validateIBAN
     *
     * Validate the passed IBAN and returns bank details if available.
     *
     *
     * @return Http response
     */
    public function validateIBAN()
    {
        $input = Request::all();

        //not path params validation
        if (!isset($input['iban'])) {
            throw new \InvalidArgumentException('Missing the required parameter $iban when calling validateIBAN');
        }
        if (strlen($input['iban']) > 34) {
            throw new \InvalidArgumentException('invalid length for $iban when calling validateIBAN, must be smaller than or equal to 34.');
        }
        $iban = $input['iban'];

        // Initialize VV environment
        $vvEnv = new VVInterface( null );

        // Call VV function
        $aData = $vvEnv->vvCheckBankdata($iban);

        if( $aData["status"] == "fail" ) {
            abort(404, 'IBAN invalid: ' . $aData["msg"] );
        }
        else {
            $aData = $aData["data"];
        }

        return response()->json( $aData );
    }
}
