<?php

/**
 * verein.cloud Web VV API
 *
 * Contact: mheumann@comciencia.cl
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
namespace App\Http\Controllers;

use App\Models\Databases;
use App\Services\VVInterface;
use Illuminate\Support\Facades\Request;

class DBApi extends Controller
{
    /**
     * Injected VVInterface for communication with the VV database
     * @var VVInterface
     */
    protected $vvEnv;

    /**
     * Constructor
     */
    public function __construct( VVInterface $vvEnv)
    {
        $this->vvEnv = $vvEnv;
    }

    /**
     * Operation getListOfCountries
     *
     * Return a list of all available countries in the VV system..
     *
     *
     * @return Http response
     */
    public function getListOfCountries()
    {
        $input = Request::all();

        $database_id = $input['database_id'];

        // Call VV function
        $aData = $this->vvEnv->vvGetCountryList();

        if( $aData === FALSE ) {
            abort(500, 'Database error' );
        }
        elseif( empty($aData) ) {
            abort(404, 'No data found' );
        }

        return response()->json( $aData );
    }

}
