<?php

namespace App\Jobs;

use App\Services\VVInterfaceCRM;
use App\Models\Databases;
use Illuminate\Support\Facades\Log;

class CancelClubs extends Job
{
    protected $database_id;
    protected $club_id;

    /**
     * Create a new job instance.
     * @param  int  $database_id
     * @param  int  $club_id
     * @return void
     */
    public function __construct( $database_id, $club_id )
    {
        $this->database_id = $database_id;
        $this->club_id = $club_id;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Log::debug( "Job CancelClubs, time: " . date("d.m.Y H:i:s") .
            ", processing: $this->database_id, $this->club_id" );

        $dbdata = Databases::where('databaseid', $this->database_id);

        if( !empty($dbdata) && !is_null($dbdata->first()) ) {
            $dbdata = $dbdata->first()->toArray();
        }

        $vvEnv = new VVInterfaceCRM($dbdata);
        $vvEnv->disableEnableClub( $this->database_id, $this->club_id, false );
        Log::debug( "CancelClubs, job for {$this->club_id} (DB {$this->database_id}) succeeded." );
    }
}
