<?php

namespace App\Jobs;

use App\Exceptions\KeycloakException;
use App\Models\Databases;
use App\Services\DirectAccess;

class KeycloakSync extends Job
{
    protected $database_id;
    protected $club_id;
    protected $operation;

    /**
     * Create a new job instance.
     *
     * @param  int  $p_iDatabaseId
     * @param  int  $p_iClubId
     * @param  string  $p_strOperation
     * @return void
     */
    public function __construct($p_iDatabaseId, $p_iClubId, $p_strOperation)
    {
        $this->database_id = $p_iDatabaseId;
        $this->club_id = $p_iClubId;
        $this->operation = $p_strOperation;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        // Get database data from database_id
        $dbdata = Databases::getIfexists($this->database_id);
        if( $dbdata === FALSE ) {
            abort( 400, 'Invalid database id' );
        }

        $vvSync = new DirectAccess($dbdata);
        $vvSync->synchronizeNow($this->club_id, $this->operation);
        unset($vvSync);
    }
}
