<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

/**
 * Database model class for the Delayed table, which stores tasks
 * to be executed at a later date.
 */
class Delayed extends Model
{
    protected $table = 'delayed';
    protected $primaryKey = 'id';
    protected $fillable = [
        'database_id',
        'club_id',
        'deleted',
        'type',
        'new_state',
        'action_date',
    ];
    protected $dates = [
        'action_date',
    ];
    protected $dateFormat = 'Y-m-d';

    /**
     * @return mixed
     */
    public function currentActions()
    {
        return $this->where('action_date', "<=", date("Y-m-d"))->get();
    }

    /**
     * @param $database_id
     * @param $club_id
     * @param $p_iType
     * @return mixed
     */
    public function getAction($database_id, $club_id, $p_iType)
    {
        return $this->where('database_id', $database_id)
            ->where('club_id', $club_id)
            ->where('type', $p_iType)
            ->first();
    }

    public function getClubActions($database_id, $club_id)
    {
        return $this->where('database_id', $database_id)
            ->where('club_id', $club_id)->get();
    }
}
