<?php

namespace App\Providers;

use App\Services\VVInterface;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Validator;

class AppServiceProvider extends ServiceProvider
{
    public function boot()
    {
        Validator::extend('is_image', function ($attribute, $value, $params, $validator) {
            $image = base64_decode($value);
            $f = finfo_open();
            $mimeType = finfo_buffer($f, $image, FILEINFO_MIME_TYPE);
            return in_array($mimeType, array(
                'image/png',
                'image/jpeg',
                'image/gif',
                'image/svg+xml',
            ));
        });
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(VVInterface::class, function ($dbdata, $club_id = null ) {
            return new VVInterface($dbdata, $club_id);
        });
    }
}
