<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ValidArrayVal implements Rule
{
    private $m_aList;

    public function __construct( $aList )
    {
        $this->m_aList = $aList;
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if( isset($this->m_aList[$value]) ) {
            return TRUE;
        }
        else {
            return FALSE;
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The :attribute value is unknown.';
    }
}
