<?php

return [
    /**
     * Default Keycloak configuration
     */
    "keyCloakConfig" => array(

        // KEYCLOAK PARAMETERS
        'Parameters' => array(
            'KEYCLOAKAPI_REALM'              => env('KEYCLOAKAPI_REALM' ),
            'KEYCLOAKAPI_URL'                => env('KEYCLOAKAPI_URL' ),
            'KEYCLOAKAPI_ADMIN_USERNAME'     => env('KEYCLOAKAPI_ADMIN_USERNAME' ),
            'KEYCLOAKAPI_ADMIN_PASSWORD'     => env('KEYCLOAKAPI_ADMIN_PASSWORD'),
            'KEYCLOAKAPI_ADMIN_CLIENT_ID'    => env('KEYCLOAKAPI_ADMIN_CLIENT_ID' ),
            'KEYCLOAKAPI_USER_CLIENT_ID'     => env('KEYCLOAKAPI_USER_CLIENT_ID'),
            'KEYCLOAKAPI_USER_CLIENT_SECRET' => '----NO-VALID-SECRET-ACCESS-TYPE-IS-PUBLIC----'
        ),

        // KEYCLOAK CUSTOM ROLES
        'Roles' => array(
            'KEYCLOAKAPI_REALM_ROLE_CLUB_MEMBERS' => 'club_members',
            'KEYCLOAKAPI_REALM_ROLE_CLUB_ADMINS'  => 'club_admins',
            'KEYCLOAKAPI_REALM_ROLE_CLUB_GUESTS'  => 'club_guests',
            'KEYCLOAKAPI_CLIENT_ROLE_ADMIN'       => 'admin',
            'KEYCLOAKAPI_CLIENT_ROLE_USER'        => 'user',
            'KEYCLOAKAPI_CLIENT_ROLE_GUEST'       => 'guest',
            'KEYCLOAKAPI_CLIENT_ROLE_FUNCTIONARY' => 'functionary',
            'KEYCLOAKAPI_CLIENT_ROLE_SECRETARY'   => 'secretary',
            'KEYCLOAKAPI_CLIENT_ROLE_EDITOR'      => 'editor',
            'KEYCLOAKAPI_CLIENT_ROLE_MEMBER_LIGHT'=> 'member_light',
            'KEYCLOAKAPI_CLIENT_ROLE_ADMIN_LIGHT' => 'member_light_admin',
        ),

        // KEYCLOAK CUSTOM ROLES DESCRIPTIONS
        'Roles-Descriptions' => array(
            'KEYCLOAKAPI_REALM_ROLE_CLUB_MEMBERS' => 'Club Members',
            'KEYCLOAKAPI_REALM_ROLE_CLUB_ADMINS'  => 'Club Admins',
            'KEYCLOAKAPI_REALM_ROLE_CLUB_GUESTS'  => 'Club Guests',
            'KEYCLOAKAPI_CLIENT_ROLE_ADMIN'       => 'Administrator',
            'KEYCLOAKAPI_CLIENT_ROLE_USER'        => 'Mitglied',
            'KEYCLOAKAPI_CLIENT_ROLE_GUEST'       => 'Gast',
            'KEYCLOAKAPI_CLIENT_ROLE_FUNCTIONARY' => 'Funktionär*in',
            'KEYCLOAKAPI_CLIENT_ROLE_SECRETARY'   => 'Sekretär*in',
            'KEYCLOAKAPI_CLIENT_ROLE_EDITOR'      => 'Editor*in',
            'KEYCLOAKAPI_CLIENT_ROLE_MEMBER_LIGHT'=> 'Mitglied Light',
            'KEYCLOAKAPI_CLIENT_ROLE_ADMIN_LIGHT' => 'Administrator Light',
        ),

        // KEYCLOACK RESTRICTIONS
        'Restrictions' => array(
            'KEYCLOAKAPI_MINIMUM_ALLOWED_AGE' => 16
        ),

        // KEYCLOAK CUSTOM ATTRIBUTES
        'Attributes' => array(
            'KEYCLOAKAPI_ATTRIBUTE_DBID'  => 'vv_database_id',
            'KEYCLOAKAPI_ATTRIBUTE_MIOID' => 'vv_club_id',
            'KEYCLOAKAPI_ATTRIBUTE_ADRID' => 'vv_member_id',
            'KEYCLOAKAPI_ATTRIBUTE_PHONE' => 'vv_phone_nr',
            'KEYCLOAKAPI_ATTRIBUTE_UPDDA' => 'vv_update_dt',
        ),

        // KEYCLOAK TIME OUTS (OPTIONALS)
        'Timeouts' => array(
            'KEYCLOAKAPI_CONNECTTIMEOUT' => 5,
            'KEYCLOAKAPI_TIMEOUT'        => 30
        ),

        // Parameters for Buchhaltungsbutler API
        'BButler' => array(
            'Client_Id' => 'bbutler-api-client'
        )
    )
];
