<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDelayedTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('delayed', function (Blueprint $table) {
            $table->unsignedBigInteger('database_id');
            $table->unsignedBigInteger('club_id');
            $table->unsignedInteger('type'); // 1=delete, 2=updowngrade, 3=cancel, 4=change state
            $table->unsignedInteger('new_state')->nullable();
            $table->date('action_date');
            $table->timestamps();
            $table->id()->first();
            $table->primary('ID');
            $table->foreign('database_id')->references('databaseid')->on('databases')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('delayed');
    }
}
